<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<!-- Declaración de datos  -->
	<form-beans>	
		<form-bean name="formMenu" type="es.ejie.frmk.presentacion.operacion.datos.Q70OPForm">	
			
		</form-bean>
		
		<form-bean name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
			<form-property name="confirm" type="java.lang.String" />
			<form-property name="strTitleKeyPpal" type="java.lang.String" initial=""/>	
			<form-property name="strTitleKey" type="java.lang.String" initial=""/>	
			<form-property name="boton" type="java.lang.String" />
			<!--<form-property name="actionAfterExtraLogin" type="java.lang.String" />
			--><form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio"/>
		</form-bean>					
	</form-beans>

	<!-- Pasos de Operacion de Presentacion -->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path="/w83aerror" forward="w83aPaginaError"></action>
		<action path="/w83aPaginaBienvenida" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aAccesoAplicacionOPAction">
			<!--Comentado para que nos podamos meter en desa con w83butra, para producción hay que habilitar esta línea<forward name="ok" path="paginaBienvenida"/>
			-->
			<forward name="ok" path="/w83aPaginaBienvenidaOI.do"/>
			<forward name="error" path="/w83aerrorUserNoPermitido.do" />
		</action>
		
		<action path ="/w83aPaginaBienvenidaOI" 
			 parameter="w83aDatosUsuarioOI" 
			 validate="false" 
			 input="paginaBienvenida" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aPaginaBienvenidaOut.do" />
					<forward name="error" path="/w83aerrorUserNoPermitido.do" />
		</action>
		
		<action path="/w83aPaginaBienvenidaOut" 
		 scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aAccesoAplicacionOutOPAction">
			<forward name="login" path="paginaBienvenida"/>
			<forward name="nologin" path="/w83aerrorUserNoPermitido.do" />
		</action>
		
		<action path="/w83aerrorUserNoPermitido" forward="paginaBienvenidaUserNoPermitido"></action>
		<action path="/w83aerrorSesionCaducada" forward="paginaBienvenidaSesionCaducada"></action>
	
		  <action path="/w83aInicioLotesPreavisos" type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/lotesPreavisosOP/w83aLotesPreavisos.do">
		</action> 
		<action path="/w83aInicioDocumentacion" type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/documentacionOP/w83aInicioDocumentacion.do">
		</action> 
		<action path="/w83aInicioBusquedaLotesPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/lotesPreavisosOP/w83aInicioBusquedaLotesPreavisos.do">
		</action> 
		<action path="/w83aNuevoLotesPreavisos" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/lotesPreavisosOP/w83aNuevoLotesPreavisos.do">
		</action> 
		
		<action path="/w83aInicioMenuResultados" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/resultadosOP/w83aInicioMenuResultados.do">
		</action> 
		<action path="/w83aInicioCuadroResumen" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/resultadosOP/w83aInicioCuadroResumen.do">

			<forward name="ok" path="cuadroResumenResultados"/>
		</action>	
		<action path="/w83aInicioDelegadosConvenio" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/resultadosOP/w83aInicioDelegadosConvenio.do">
		</action>
		<action path="/w83aInicioCentroSindicato" 
					type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83A$$$/resultadosOP/w83aInicioCentroSindicato.do">
		</action>
		<!--		OJO!!!!, A ESTA OI SOLO SE DEBERÍA IR DESDE EL FILTRO DE SEGURIDAD, PARA -->
<!--		EN CASO DE QUE LA APLICACIÓN LLEGUE AL STRUTS COMUN REFRESQUE EL REG AUTOMATICO 
			POR ESO EL FORWARD DE LA OI VUELVE A SI MISMA, PARA QUE LO RECOJA EL FILTRO 
			Y NAVEGUE A DONDE TENDRÍA QUE HABER IDO AL HABER NAVEGADO EL FILTRO AQUÍ-->				
		<!--<action path ="/w83aRefrescarRegistroAutomaticoUsuarioDelegacion" 
			 parameter="w83aRefrescarRegistroAutomaticoUsuarioDelegacionOI" 
			 validate="false" 
			 input="paginaBienvenida" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aVueltaRefrescarRegistroAutomaticoUsuarioDelegacion.do" />
					<forward name="error" path="/paginaBienvenida" />
		</action>
		<action
				path ="/w83aVueltaRefrescarRegistroAutomaticoUsuarioDelegacion" forward="paginaBienvenida"/>
	--></action-mappings>

	<!-- Procesador de Operacion de Presentacion -->
	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	<!-- Datos de Operacion de Presentacion -->
	
	<!-- Validaciones Genericas -->
		
	<!-- Menus -->	
</struts-config>